# 离线插件管理器
## 概述
离线插件管理器用于分类展示、安装和卸载离线插件。

主要功能

- 插件展示
- 插件安装和卸载

## 安装
  按下`Ctrl+P`组合键，输入`ext install KylinIDETeam.offline-extensions-manager`并回车

## 使用
- 启动集成开发环境
- 点击"帮助"-"打开离线插件管理器"
- 或者执行ctrl+shift+p, 启动命令面板,执行命令`extensions.manager.open`,进入离线插件插件管理器页面
- 点击`设置`按钮，选择离线插件文件
- 点击`Select`框，可以选择预定定义关键字搜索插件，也可以输入关键字进行模糊查询
- 点击安装或者卸载功能可以安装或者卸载插件
- 点击列表行可以预览插件详细信息

## 源码构建
### 插件构建
```
    yarn
    yarn build
    vsce package
```
### 运行前端
```
    yarn
    yarn serve
```
浏览器打开 [http://localhost:8080/](http://localhost:8080/)
